Package com.plannaplan.types

# Enum AppState

java.lang.Object
java.lang.Enum<AppState>
com.plannaplan.types.AppState

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AppState>`, `java.lang.constant.Constable`

    public enum AppState
    extends java.lang.Enum<AppState>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`FIRST_TOUR` |
`NO_TOUR` |
`SECOND_TOUR` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static AppState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static AppState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FIRST_TOUR

public static final AppState FIRST_TOUR

### SECOND_TOUR

public static final AppState SECOND_TOUR

### NO_TOUR

public static final AppState NO_TOUR

## Method Details

### values

public static AppState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AppState valueOf​(java.lang.String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null